Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class FieldsTables

    java.lang.Object
      org.apache.poi.hwpf.model.FieldsTables

    public class FieldsTables

extends java.lang.Object

This class provides access to all the fields Plex.

Author:
  Cedric Bosdonnat

Field Summary
`static int` | `PLCFFLDATN` annotation subdocument
`static int` | `PLCFFLDEDN` endnote subdocument
`static int` | `PLCFFLDFTN` footnote subdocument
`static int` | `PLCFFLDHDR` header subdocument
`static int` | `PLCFFLDHDRTXBX` header textbox subdoc
`static int` | `PLCFFLDMOM` main document
`static int` | `PLCFFLDTXBX` textbox subdoc

Constructor Summary
`FieldsTables(byte[] tableStream, FileInformationBlock fib)`

Method Summary
`java.util.ArrayList` | `getFieldsPLCF(FieldsDocumentPart part)`
`java.util.ArrayList` | `getFieldsPLCF(int partIndex)`
`void` | `write(FileInformationBlock fib, HWPFOutputStream tableStream)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLCFFLDATN

    public static final int PLCFFLDATN

  annotation subdocument

  See Also:
    Constant Field Values

### PLCFFLDEDN

    public static final int PLCFFLDEDN

  endnote subdocument

  See Also:
    Constant Field Values

### PLCFFLDFTN

    public static final int PLCFFLDFTN

  footnote subdocument

  See Also:
    Constant Field Values

### PLCFFLDHDR

    public static final int PLCFFLDHDR

  header subdocument

  See Also:
    Constant Field Values

### PLCFFLDHDRTXBX

    public static final int PLCFFLDHDRTXBX

  header textbox subdoc

  See Also:
    Constant Field Values

### PLCFFLDMOM

    public static final int PLCFFLDMOM

  main document

  See Also:
    Constant Field Values

### PLCFFLDTXBX

    public static final int PLCFFLDTXBX

  textbox subdoc

  See Also:
    Constant Field Values

Constructor Detail

### FieldsTables

    public FieldsTables(byte[] tableStream,
                        FileInformationBlock fib)

Method Detail

### getFieldsPLCF

    public java.util.ArrayList getFieldsPLCF(FieldsDocumentPart part)

### getFieldsPLCF

    public java.util.ArrayList getFieldsPLCF(int partIndex)

### write

    public void write(FileInformationBlock fib,
                      HWPFOutputStream tableStream)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD